(function ($) {
   $(document).ready(init);
   function init() {
       var root = $('#mbs-root');
       var show = +mbs_data.show !== 0;

       if (show) {
           open()
       } else {
           close()
       }

       $('#mbsShow').on('click', () => {
           show = !show
           if (show) {
               open()
           } else {
               close()
           }
       })
       $('#mbsClose').on('click', () => {
           show = false
           close()
       })

       function open() {
           show = true
           $('body').addClass('mbs-open')
           root.show()
       }
       function close() {
           show = false
           $('body').removeClass('mbs-open')
           root.hide()
       }
   }
})(jQuery);
