<?php
/*

Plugin Name: MEMBERLUX USERS STATISTICS
Plugin URI: https://memberlux.com
Description: МОДУЛЬ СТАТИСТИКИ ПОЛЬЗОВАТЕЛЕЙ
Version: 1.23
Author: Виктор Левчук
Author URI: https://t.me/leviktor

*/
namespace Mbl\Statistics;

use Puc_v4_Factory;
use function get_plugin_data;
if (!defined('ABSPATH')) {
    exit;
}
if (!function_exists('get_plugin_data')) {
    require_once(ABSPATH . 'wp-admin/includes/plugin.php');
}
$plugin_data = get_plugin_data(__FILE__);
define('MBS_VERSION', $plugin_data['Version']);
define('MBS_PLUGIN_FILE', __FILE__);
define('MBS_PLUGIN_URI', plugin_dir_url(__FILE__));
define('MBS_PLUGIN_PATH', plugin_dir_path(__FILE__));
require_once __DIR__ . "/vendor/autoload.php";
$core = new Core();
register_activation_hook( __FILE__, [ $core, 'install' ] );
$core->run();

//Updater
require __DIR__ . '/plugin-update-checker/plugin-update-checker.php';
$myUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
    'https://github.com/MEMBERLUX/mbl-statistics-users/',
    __FILE__,
    'mbl-statistics-users'
);
$myUpdateChecker->setAuthentication('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');
